Saltar al contenido principal
PUT
/
v1
/
planning
/
purchaseOrders
/
{orderReference}
/
externalReference
Edit an existing Purchase Order's external reference
curl --request PUT \
  --url https://api.bold-factory.com/v1/planning/purchaseOrders/{orderReference}/externalReference \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalReference": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

orderReference
string
requerido

Cuerpo

application/json
externalReference
string
requerido

Respuesta

No Content